%% 
%% This is file `aguplus.cls', generated 
%% on <1995/1/12> with the docstrip utility (2.2i).
%% 
%% The original source files were:
%% 
%% aguplus.dtx  (with options: `class,mtitle')
%% sublabel.dtx  (with options: `package,subpack,agu')
%% appendix.dtx  (with options: `package,subpack,agu,plates')
%% figcaps.dtx  (with options: `package,subpack,agu,plates,sublab')
%% natbib.dtx  (with options: `package,subpack,agu')
%% balance.dtx  (with options: `package,subpack')
%% --------------------------------- 
%% AGU++ (LaTeX2e Class file) 
%% --------------------------------- 
%% An unofficial LaTeX extension to 
%% the official AGU package AGUTeX 
%% (This runs under LaTeX2e only, 
%% the official LaTeX as of 1994 June 1) 
%% --------------------------------- 
%% 
%% >>>>> Start of decommented files >>>>>>> 
\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesClass{aguplus}
          [1995/01/12 1.2 (PWD)]
 % NOTICE:
 % This file may be used for non-profit purposes.
 % It may not be distributed in exchange for money,
 %   other than distribution costs.
 %
 % The author provides it `as is' and does not guarantee it in any way.
 %
%% Copyright (C) 1994, 1995 Patrick W. Daly
 % Max-Planck-Institut f\"ur Aeronomie
 % Postfach 20
 % D-37189 Katlenburg-Lindau
 % Germany
 %
 % E-mail:
 % SPAN--     nsp::linmpi::daly    (note nsp also known as ecd1)
 % Internet-- daly@linax1.dnet.gwdg.de
 %-----------------------------------------------------------
 % THIS IS A LATEX2E CLASS FILE; it will not work with LaTeX 2.09
 % This is AGU++, an extension to the AGU official package AGUTeX
 % It fixes up some problems with AGUTeX, adds many extra features
 %  including putting figures, plates, tables in the text,
 %  decent author-year citations and BibTeX support,
 %  \title, \author, \affil allowed in preamble,
 %  supplemental abstract for JGR,
 %  balanced columns on last preprint page,
 %  sublabelling of counters figure, plate, table, equation.
 %
 %  This package MUST be used in conjunction with one of the AGUTeX packages,
 %  which are given as options to the class, as for example:
 %  \documentclass[agupp]{aguplus}
 %  Other possible AGUTeX packages are: agums, agupp, jgrga, grlga, tecga,
 %                                      radga, rtjga
 %
 %  See the manual AGUPLUS.TEX for details.
 %--------------------------------------------------------------------
\def\getAGU{\edef\AGUpack{\CurrentOption}}
\DeclareOption{agums}{\getAGU\PassOptionsToClass{12pt}{article}}
\DeclareOption{agupp}{\getAGU}
\DeclareOption{jgrga}{\getAGU}
\DeclareOption{grlga}{\getAGU}
\DeclareOption{tecga}{\getAGU}
\DeclareOption{radga}{\getAGU}
\DeclareOption{rtjga}{\getAGU}
\DeclareOption{tighten}{\AtEndOfClass{\tighten}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}
\@ifundefined{AGUpack}
{\ClassWarningNoLine{aguplus}
   {No valid AGUTeX package given as option\MessageBreak
    so will assume agums (manuscript)}
    \def\AGUpack{agums}}{}
\newdimen\@maxsep \newdimen\@dblmaxsep
\let\ori@LaTeX=\LaTeX
\InputIfFileExists{\AGUpack.sty}
   {}
   {\ClassError{aguplus}
        {File \AGUpack.sty does not exist}
        {Make \AGUpack.sty accessible}}
\let\LaTeX=\ori@LaTeX
\providecommand{\GetFileInfo}[1]{%
  \def\pckname{#1}%
  \def\@tempb##1 ##2 ##3\relax##4\relax{%
    \def\pckdate{##1}%
    \def\pckversion{##2}
    \def\pckinfo{##3}}%
  \edef\@tempa{\csname ver@#1\endcsname}%
  \expandafter\@tempb\@tempa\relax? ? \relax\relax}
\GetFileInfo{aguplus.cls}
\newcommand{\optionlogo}{AGU$^{++}$}
\let\agupid=\revtex@pageid
\def\revtex@pageid{\agupid
    \@footnotetext{With the extension package `\optionlogo', version
    \pckversion\ from \pckdate}}
\newif\if@draft
\newif\if@preprint
\newif\if@camera
\def\@tempa{manuscript}
\ifx\revtex@genre\@tempa\@drafttrue\else\@draftfalse\fi
\def\@tempa{preprint}
\ifx\revtex@genre\@tempa\@preprinttrue\else\@preprintfalse\fi
\def\@tempa{galley}
\ifx\revtex@genre\@tempa\@cameratrue\else\@camerafalse\fi
\renewcommand{\@seccntformat}[1]{\sectype\csname the#1\endcsname
   \sectchar\hskip 1ex}
\def\@ssect#1#2#3#4#5{\@tempskipa #3\relax
   \ifdim \@tempskipa>\z@
     \begingroup #4
        \@hangfrom{\hskip #1}{\interlinepenalty \@M \sectype\ssectchar#5\par}
     \endgroup
   \else \def\@svsechd{#4\hskip #1\relax \sectype\ssectchar#5}\fi
    \@xsect{#3}}
\def\sectchar{.}  \def\ssectchar{} \def\sectype{}
\def\@hangfrom#1{\noindent#1}
\def\thesection{\@arabic{\c@section}}
\def\thesubsection{\thesection.\@arabic{\c@subsection}}
\def\thesubsubsection{\thesubsection.\@arabic{\c@subsubsection}}
\def\theparagraph{\thesubsubsection.\@arabic{\c@paragraph}:}
\def\sectionnumbers{\c@secnumdepth=3}
\let\agureferences=\references
\def\references{\noappendix\agureferences}
\let\aguacknow=\acknowledgments
\def\acknowledgments{\noappendix\aguacknow}
\let\acknowledgements=\acknowledgments
\if@preprint
\newdimen\@fmwidth \@fmwidth=33pc
\def\auth@skip{12pt}
\def\affil@skip{5pt}
\def\agutitle#1{\@makeslugcmmnt
\hsize\@fmwidth
\par\noindent
\parbox{\@fmwidth}%
  {\pretolerance=10000
  \raggedright
  \Large\bf#1}}
\def\aguauthor#1{%
\par\vskip\auth@skip\noindent
\parbox{\@fmwidth}%
  {\pretolerance=10000
  \raggedright
  \large#1}
\gdef\auth@skip{12pt}}
\def\aguaffil#1{\par\vskip\affil@skip\noindent
\parbox{\@fmwidth}%
  {\pretolerance=10000
  \raggedright
  \small#1}}
\def\aguabs{\par\vspace{4ex}\noindent
\minipage{\@fmwidth}\pretolerance=100
\@rightskip=\z@ plus 2em\rightskip\@rightskip
\large
{\bf Abstract.}}

\def\endaguabs{\endminipage\vspace{2ex}}
\newbox\@abstract
\setbox\@abstract\vbox{}

\def\abstract{\global\setbox\@abstract\vbox\bgroup
   \aguabs}
\def\endabstract{\endaguabs\egroup}
\def\xmaketitle{
\par
 \begingroup
     \clearpage
     \twocolumn[\box\@title
         \box\@abstract
         \null]
         \global\@topnum\z@
       \thispagestyle{plain}
       \ifx\@titlenote\empty \else
         \global\@botnum\z@
         \long\def\@makefntext##1{##1}
         \footnotetext{{\parindent=1em\indent
             \let\@elt=\par\@titlenote}}
       \fi
  \endgroup
 \pt@width=\hsize
 \setcounter{footnote}{0}
 \global\let\xmaketitle\relax}
\let\agusection=\section

\def\section{\pagestyle{myheadings}
\if@twoside \markboth{\@versohead}{\@rectohead} \else
  \markright{\@versohead: \@rectohead} \fi
\xmaketitle\agusection}
\long\def\@makecaption#1#2{%
 \vskip 10\p@
 \setbox\@tempboxa\hbox{#1 #2}%
 \ifdim \wd\@tempboxa >\hsize
     #1 #2\par
   \else
     \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
 \fi}
\def\fps@figure{tbp}
\def\fps@plate{tbp}
\def\fps@table{tbp}
\else
\let\agutitle=\title
\let\aguaffil=\affil
\let\aguauthor=\author
\def\xmaketitle{\par \hsize\wd\@title
\begingroup
 \box\@title
       \ifx\@titlenote\empty \else
         \global\@botnum\z@
         \long\def\@makefntext##1{##1}
         \footnotetext{{\parindent=10pt\indent
             \parskip=6pt\let\@elt=\par\@titlenote}}
       \fi
\endgroup
 \setcounter{footnote}{0}
 \global\let\xmaketitle\relax}
\let\aguabs=\abstract
\def\abstract{\xmaketitle\aguabs}
\let\aguendabs=\endabstract
\def\endabstract{\aguendabs\par}
\let\agusection=\section
\def\section{\xmaketitle\par\agusection}
\fi
\newbox\@title
\setbox\@title=\vbox{}

\def\title#1{\setbox\@title=\vbox{
   \let\@nodocument=\relax
   \agutitle{#1}}}
\def\author#1{\setbox\@title=\vbox{\hsize=\wd\@title
   \let\@nodocument=\relax
   \box\@title \aguauthor{#1}}}
\def\affil#1{\setbox\@title=\vbox{\hsize=\wd\@title
   \let\@nodocument=\relax
   \box\@title \aguaffil{#1}}}
\def\altaffiltext#1#2{\let\@elt=\relax
  \ifx\@titlenote\empty \def
  \@titlenote{\altaffilmark{#1}#2} \else
  \xdef\@titlenote{\@titlenote\@elt \altaffilmark{#1}#2}\fi}
\def\@titlenote{}
\let\maketitle=\xmaketitle
\let\date=\slugcomment
\newif\if@supabs \@supabsfalse
\def\extraabstract{\global\@supabstrue}
\if@camera
\begingroup
  \catcode `|=0 \catcode `[= 1
  \catcode`]=2 \catcode `\{=12 \catcode `\}=12
  \catcode`\^^M=13 \catcode`\\=12 %
|long|gdef|@preabs#1\begin{abstract}[|endgroup|begin[abstract]]%
|endgroup
\long\def\supabs{\newpage \thispagestyle{empty}%
  \hsize=20pc \reset@font\footnotesize
  \hbox to \hsize{\hfil Paper number \@paperid}\par\vskip1em}
\def\endsupabs{\par\endinput}
\def\dosupabs{{\def\documentstyle{\begingroup\set@literal\@preabs}
\let\abstract=\supabs\let\endabstract=\endsupabs
\input{\jobname}}}
\def\dosupabse{{\def\documentclass{\begingroup\set@literal\@preabs}
\let\abstract=\supabs\let\endabstract=\endsupabs
\input{\jobname}}}
\AtEndOfPackage{\AtEndDocument{\if@supabs\dosupabse\fi}}
\fi
\def\iftwocol#1#2{\if@draft#2\else#1\fi}
\def\afour{\textheight=24cm
           \if@draft \textwidth=15cm \fi
           \if@preprint \textwidth=17.3cm \columnsep=0.5cm
              \oddsidemargin=-0.5cm \evensidemargin=-0.9cm \hoffset=0pt\fi}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{sublabel}
       [1995/01/03 4.3b (PWD)]
%% Copyright (C) 1994, 1995 Patrick W. Daly
\@ifundefined{iffigcaps}{}
  {\PackageWarningNoLine{sublabel}
     {***********************************\MessageBreak
      This package read in after `figcaps'\MessageBreak
      There could be problems with sublabelled\MessageBreak
      figure and table numbers.\MessageBreak
      ***********************************}}
\newcommand{\substyle}{}
\def\substyle#1{\alph{#1}}
\newcommand{\sublabon}[1]{\@bsphack
\@ifundefined{c@#1}{%
    \PackageError{sublabel}
  {\protect\sublabon\space called for a non-existent counter}{\@eha}}
 {\@ifundefined{c@sb@#1}{\expandafter\newcount\csname c@sb@#1\endcsname
  \setcounter{sb@#1}{-1}}{}%
\ifnum\@nameuse{c@sb@#1}<0\else\sublaboff{#1}\fi
\stepcounter{#1}%
\setcounter{sb@#1}{0}%
\def\@tempa{eqnarray}\ifx \@tempa\@currenvir
    \addtocounter{equation}{-1}\setcounter{sb@equation}{1}\fi
\global\expandafter\let\csname @ldthe#1\expandafter\endcsname
    \csname the#1\endcsname
\expandafter\gdef\csname the#1\endcsname{%
   \@nameuse{@ldthe#1}{\substyle{sb@#1}}}
}\@esphack}
\newcommand{\sublaboff}[1]{\@bsphack
\@ifundefined{c@#1}{%
    \PackageError{sublabel}
  {\protect\sublaboff\space called for a non-existent counter}{\@eha}}
 {\@ifundefined{c@sb@#1}{%
    \PackageWarning{sublabel}
 {\protect\sublaboff{#1} called without any previous
    \MessageBreak
  \protect\sublabon{#1} command}}
 {\ifnum\@nameuse{c@sb@#1}<0
    \PackageWarning{sublabel}
 {\protect\sublaboff{#1} called without a previous
    \MessageBreak
  \protect\sublabon{#1} command being active}\else
\ifnum\@nameuse{c@sb@#1}=0\addtocounter{#1}{-1}\fi
\setcounter{sb@#1}{-1}%
\global\expandafter\let\csname the#1\expandafter\endcsname
    \csname @ldthe#1\endcsname
\def\@tempa{eqnarray}\ifx \@tempa\@currenvir
    \stepcounter{equation}\fi
\fi}}\@esphack}
\let\@ldstepcounter=\stepcounter
\renewcommand{\stepcounter}[1]
 {\@ifundefined{c@sb@#1}{\@ldstepcounter{#1}}{\ifnum
  \@nameuse{c@sb@#1}<0\relax
  \@ldstepcounter{#1}\else \@ldstepcounter{sb@#1}\fi}%
}
\let\@ldaddtoctr=\addtocounter
\renewcommand{\addtocounter}[2]
 {\@ifundefined{c@sb@#1}{\@ldaddtoctr{#1}{#2}}{\ifnum
  \@nameuse{c@sb@#1}<0\relax
  \@ldaddtoctr{#1}{#2}\else \@ldaddtoctr{sb@#1}{#2}\fi}%
}
\let\@ldendeqnarray=\endeqnarray
\renewcommand{\endeqnarray}{\@ldendeqnarray
  \@ifundefined{c@sb@equation}{}{\ifnum\c@sb@equation<0\else
  \@ldaddtoctr{equation}{1}\@ldaddtoctr{sb@equation}{-1}\fi}}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{appendix}
           [1995/01/03 2.0b (PWD)]
%% Copyright (C) 1994, 1995 Patrick W. Daly
\@ifundefined{iffigcaps}{}
  {\PackageWarningNoLine{appendix}
     {***********************************\MessageBreak
      This package read in after `figcaps'\MessageBreak
      There could be problems with sublabelled\MessageBreak
      figure and table numbers.\MessageBreak
      ***********************************}}
\@ifundefined{appendixname}{\def\appendixname{Appendix}}{}
\let\orisection=\section
\let\theolds=\thesection
\let\theoldss=\thesubsection
\let\orisubsection=\subsection
\def\appendix{\par
  \setcounter{section}{0}
  \setcounter{subsection}{0}
  \def\thesection{\Alph{section}}
  \def\thesubsection{\thesection\arabic{subsection}}
  \setcounter{secnumdepth}{3}
  \@addtoreset{equation}{section}
  \setcounter{equation}{0}
  \def\theequation{\thesection\arabic{equation}}
  \@addtoreset{figure}{section}
  \setcounter{figure}{0}
  \def\thefigure{\thesection\arabic{figure}}
  \@addtoreset{table}{section}
  \def\thetable{\thesection\arabic{table}}
  \setcounter{table}{0}
  \@ifundefined{c@plate}{\newcounter{plate}}{}
  \@addtoreset{plate}{section}
  \def\theplate{\thesection\arabic{plate}}
  \setcounter{plate}{0}
  \def\@Alph##1{\ifcase##1A\or A\or B\or C\or D\else\@Ialph{##1}\fi}
 \def\section{\@sectiontrue\orisection}
  \def\sectype{\if@section\appendixname~\fi}
  \def\sectchar{\if@section:\else.\fi}
  \def\ssectchar{\if@section\unskip:~\else\fi}
   \def\subsection{\@sectionfalse\orisubsection}
}
\newif\if@section \@sectionfalse
\def\noappendix{\setcounter{secnumdepth}{0}
  \global\let\section=\orisection
  \global\let\thesection=\theolds
  \global\let\thesubsection=\theoldss
  \gdef\sectchar{.} \gdef\ssectchar{}
  \gdef\sectype{}
  \global\let\subsection=\orisubsection
}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{figcaps}
        [1995/01/08 4.4 (PWD)]
%% Copyright (C) 1994, 1995 Patrick W. Daly
\@ifundefined{chapter}{}{%
    \PackageError{figcaps}
     {`figcaps' may only be used with article-like classes}
     {There is no help. You just cannot use `figcaps'}}
\newif\iffigcaps \figcapstrue
\newif\iffigmark \figmarkfalse
\newif\if@figpage \@figpagefalse
\@ifundefined{figurecapname}{\def\figurecapname{Figure Captions}}{}
\@ifundefined{tablepagename}{\def\tablepagename{Tables}}{}
\@ifundefined{figurepagename}{\def\figurepagename{Figures}}{}
\begingroup
  \catcode `|=0 \catcode `[= 1
  \catcode`]=2 \catcode `\{=12 \catcode `\}=12
  \catcode`\^^M=13 \catcode`\\=12 %
|long|gdef|@vfig#1\end{figure}[|def|@term[\end{figure}]%
          |expandafter|writelof#1^^M\end{figure}^^M|end[figure]]%
|long|gdef|@vsfig#1\end{figure*}[|def|@term[\end{figure*}]%
          |expandafter|writelof#1^^M\end{figure*}^^M|end[figure*]]%
|long|gdef|@vtab#1\end{table}[|def|@term[\end{table}]%
          |expandafter|writelot#1^^M\end{table}^^M|end[table]]%
|long|gdef|@vstab#1\end{table*}[|def|@term[\end{table*}]%
          |expandafter|writelot#1^^M\end{table*}^^M|end[table*]]%
|long|gdef|@vpla#1\end{plate}[|def|@term[\end{plate}]%
          |expandafter|writelof#1^^M\end{plate}^^M|end[plate]]%
|long|gdef|@vspla#1\end{plate*}[|def|@term[\end{plate*}]%
          |expandafter|writelof#1^^M\end{plate*}^^M|end[plate*]]%
|long|gdef|@vptab#1\end{planotable}[|def|@term[\end{planotable}]%
          |expandafter|writelot#1^^M\end{planotable}^^M|end[planotable]]%
  |endgroup
\long\def\FC@writefile#1#2{\@ifundefined{tf@#1}{}{%
  \immediate\write\csname tf@#1\endcsname{#2}}}
\def\lof{lof} \def\lot{lot}

{\catcode`\^^M=13%
  \long\gdef\writelof#1^^M{\def\@tempb{#1}%
      \ifx\@tempb\@term\let\@tempa\relax\else
      \if@filesw\FC@writefile{pof}{#1}\fi\let\@tempa\writelof\fi \@tempa}
  \long\gdef\writelot#1^^M{\def\@tempb{#1}%
      \ifx\@tempb\@term\let\@tempa\relax\else
      \if@filesw\FC@writefile{pot}{#1}\fi\let\@tempa\writelot\fi \@tempa}
}
\def\figcapson{\figcapstrue}
\def\figcapsoff{\figcapsfalse}
\def\figmarkon{\figmarktrue}
\def\figmarkoff{\figmarkfalse}
\def\figure{\iffigcaps \let\@tempb=\@zfigure \else \let\@tempb=\@float\fi
  \@tempb{figure}}
\def\@zfigure#1{\begingroup\set@literal\@ifnextchar[{\@figure}{\@figure[]}}
\def\@figure[#1]{\@ifundefined{tf@pof}{\newwrite\tf@pof
     \if@filesw\immediate\openout\tf@pof\jobname.\lof\fi}{}%
  \refstepcounter{figure}\iffigmark\marginpar{\fbox{\fnum@figure}}\fi
  \def\@captype{figure}\if@filesw\FC@writefile{pof}{\string\begin{figure}}\fi
  \@vfig}

\def\endfigure{\iffigcaps
    \endgroup\if@filesw\FC@writefile{pof}{\string\end{figure}}\fi\else
    \end@float\fi}

\@namedef{figure*}{\iffigcaps \let\@tempb=\@zsfigure \else
  \let\@tempb=\@dblfloat\fi \@tempb{figure}}
\def\@zsfigure#1{\begingroup\set@literal\@ifnextchar[{\@sfigure}{\@sfigure[]}}
\def\@sfigure[#1]{\@ifundefined{tf@pof}{\newwrite\tf@pof
     \if@filesw\immediate\openout\tf@pof\jobname.\lof\fi}{}%
  \refstepcounter{figure}\iffigmark\marginpar{\fbox{\fnum@figure}}\fi
  \def\@captype{figure}\if@filesw\FC@writefile{pof}{\string\begin{figure}}\fi
  \@vsfig}

\@namedef{endfigure*}{\iffigcaps\endfigure\else\end@dblfloat\fi}
\@ifundefined{c@plate}{\newcounter{plate}}{}

\def\plate{\iffigcaps \let\@tempb=\@zplate \else \let\@tempb=\@float\fi
  \@tempb{plate}}
\def\@zplate#1{\begingroup\set@literal\@ifnextchar[{\@plate}{\@plate[]}}
\def\@plate[#1]{\@ifundefined{tf@pof}{\newwrite\tf@pof
     \if@filesw\immediate\openout\tf@pof\jobname.\lof\fi}{}%
  \refstepcounter{plate}\iffigmark\marginpar{\fbox{\fnum@plate}}\fi
  \def\@captype{plate}\if@filesw\FC@writefile{pof}{\string\begin{plate}}\fi
  \@vpla}

\def\endplate{\iffigcaps
    \endgroup\if@filesw\FC@writefile{pof}{\string\end{plate}}\fi\else
    \end@float\fi}

\@namedef{plate*}{\iffigcaps \let\@tempb=\@zsplate \else
  \let\@tempb=\@dblfloat\fi \@tempb{plate}}
\def\@zsplate#1{\begingroup\set@literal\@ifnextchar[{\@splate}{\@splate[]}}
\def\@splate[#1]{\@ifundefined{tf@pof}{\newwrite\tf@pof
     \if@filesw\immediate\openout\tf@pof\jobname.\lof\fi}{}%
  \refstepcounter{plate}\iffigmark\marginpar{\fbox{\fnum@plate}}\fi
  \def\@captype{plate}\if@filesw\FC@writefile{pof}{\string\begin{plate}}\fi
  \@vspla}

\@namedef{endplate*}{\iffigcaps\endplate\else\end@dblfloat\fi}
\def\table{\iffigcaps \let\@tempb=\@ztable \else \let\@tempb=\@float\fi
  \@tempb{table}}
\def\@ztable#1{\begingroup\set@literal\@ifnextchar[{\@table}{\@table[]}}
\def\@table[#1]{\@ifundefined{tf@pot}{\newwrite\tf@pot
     \if@filesw\immediate\openout\tf@pot\jobname.\lot\fi}{}%
  \refstepcounter{table}\iffigmark\marginpar{\fbox{\fnum@table}}\fi
  \def\@captype{table}\if@filesw\FC@writefile{pot}{\string\begin{table}}\fi
  \@vtab}

\def\endtable{\iffigcaps
   \endgroup\if@filesw\FC@writefile{pot}{\string\end{table}}\fi\else
   \end@float\fi}

\@namedef{table*}{\iffigcaps \let\@tempb=\@zstable \else
  \let\@tempb=\@dblfloat\fi \@tempb{table}}
\def\@zstable#1{\begingroup\set@literal\@ifnextchar[{\@stable}{\@stable[]}}
\def\@stable[#1]{\@ifundefined{tf@pot}{\newwrite\tf@pot
     \if@filesw\immediate\openout\tf@pot\jobname.\lot\fi}{}%
  \refstepcounter{table}\iffigmark\marginpar{\fbox{\fnum@table}}\fi
  \def\@captype{table}\if@filesw\FC@writefile{pot}
    {\string\begin{table}}%
    \fi\@vstab}

\@namedef{endtable*}{\iffigcaps\endtable\else\end@dblfloat\fi}
\let\aguplano=\planotable
\let\endaguplano=\endplanotable

\def\planotable{\iffigcaps \let\@tempb=\@ptable \else
  \let\@tempb=\aguplano\fi \@tempb}
\def\@ptable{\begingroup\set@literal
     \@ifundefined{tf@pot}{\newwrite\tf@pot
     \if@filesw\immediate\openout\tf@pot\jobname.\lot\fi}{}%
  \refstepcounter{table}\iffigmark\marginpar{\fbox{\fnum@table}}\fi
  \def\@captype{table}\if@filesw\FC@writefile{pot}
     {\string\begin{planotable}}\fi \@vptab}

\def\endplanotable{\iffigcaps
   \endgroup\if@filesw\FC@writefile{pot}{\string\end{planotable}}\fi\else
   \endaguplano\fi}
\def\tableofcontents{%
  \PackageWarningNoLine{figcaps}
   {Ignored: \protect\tableofcontents\space command}}
\def\listoffigures{%
  \PackageWarningNoLine{figcaps}
   {Ignored: \protect\listoffigures\space command}}
\def\listoftables{%
  \PackageWarningNoLine{figcaps}
   {Ignored: \protect\listoftables\space command}}
\def\listofplates{%
  \PackageWarningNoLine{figcaps}
   {Ignored: \protect\listofplates\space command}}
\def\addtocontents#1#2{\relax}
\def\addcontentsline#1#2#3{\relax}
{\catcode`\^^M=\active \gdef\cr@relax{\catcode`\^^M=\active \let^^M=\relax}}
\def\set@literal{\cr@relax \let\do\@makeother\dospecials}
\def\@figurecaps{\@ifundefined{tf@pof}{}{\if@filesw
  \immediate\closeout\tf@pof\fi
  \@ifundefined{appendixname}{}{\def\appendixname{}}
  \noappendix \parindent\z@
  \reset@figtab\clearpage\section*{\figurecapname}\vspace{1cm}%
    \@mkboth{\uppercase{\figurecapname}}{\uppercase{\figurecapname}}%
    \addcontentsline{toc}{section}{\figurecapname}%
  \def\figure{\def\addcontentsline####1####2####3{}%
    \def\@captype{figure}%
    \vbox\bgroup
   }\def\endfigure{\egroup\bigskip}%
  \def\plate{\def\addcontentsline####1####2####3{}%
    \def\@captype{plate}%
    \vbox\bgroup
   }\let\endplate=\endfigure
  {\let\@makecaption=\@makefcaption
  \def\figbox##1##2##3{\relax}
  \@input{\jobname.\lof}}%
  \clearpage}}%
\def\@tablepage{\@ifundefined{tf@pot}{}{\if@filesw
  \immediate\closeout\tf@pot\fi
  \@ifundefined{appendixname}{}{\def\appendixname{}}
  \noappendix \parindent\z@
  \reset@figtab\clearpage\section*{\tablepagename}
    \@mkboth{\uppercase{\tablepagename}}{\uppercase{\tablepagename}}%
   \def\table{\def\@captype{table}\vbox\bgroup
   }\def\endtable{\spew@tblnotes\egroup\bigskip}%
   \let\planotable=\aguplano \let\endplanotable=\endaguplano
   \def\@float##1{\def\@captype{table}\vbox\bgroup}
   \let\@dblfloat=\@float \let\clearpage=\newpage
  \@input{\jobname.\lot}
  \clearpage}}
\def\printfigures{\@figpagetrue}
\def\@figurepage{\if@figpage\@ifundefined{tf@pof}{}{%
  \@ifundefined{appendixname}{}{\def\appendixname{}}
  \noappendix \parindent\z@
  \reset@figtab\clearpage\section*{\figurepagename}%
  \@mkboth{\uppercase{\figurepagename}}{\uppercase{\figurepagename}}%
  \begingroup
  \def\figurewidth##1{\pt@width##1\hsize##1}
  \def\figure{\def\@captype{figure}\vbox\bgroup}\def\endfigure{\egroup
    \vspace{20pt}}%
  \let\platewidth=\figurewidth
  \def\plate{\def\@captype{plate}\vbox\bgroup}\let\endplate=\endfigure
  \def\label##1{}%
  \@input{\jobname.\lof}\newpage\endgroup}\fi}
\def\reset@figtab{%
  \setcounter{figure}{0}\setcounter{table}{0}
  \setcounter{plate}{0}
}
\AtEndDocument{\iffigcaps\@figurecaps\@tablepage\@figurepage\fi}
\let\@appendix=\appendix

\def\appendix{%
  \@ifundefined{tf@pof}{}{\if@filesw\FC@writefile{pof}{\string\doappendix}\fi}%
  \@ifundefined{tf@pot}{}{\if@filesw\FC@writefile{pot}{\string\doappendix}\fi}%
  \let\@section=\section
  \doappendix
  \let\@@section=\section
  \def\section{%
    \@ifundefined{tf@pof}{}{\if@filesw\FC@writefile{pof}{\string
        \stepcounter{section}}\fi}%
    \@ifundefined{tf@pot}{}{\if@filesw\FC@writefile{pot}{\string
        \stepcounter{section}}\fi}%
    \@@section}
  \let\reset@figtab=\@unappendix}
\def\doappendix{%
  \let\@thefigure=\thefigure
  \let\@thetable=\thetable
  \let\@theplate=\theplate
  \let\@cl@section=\cl@section
  \@appendix
}
\def\@unappendix{%
  \setcounter{figure}{0}\setcounter{table}{0}
  \let\thefigure=\@thefigure
  \let\thetable=\@thetable
  \setcounter{plate}{0}%
  \let\theplate=\@theplate
  \let\cl@section=\@cl@section
  \let\section=\@section
}
\let\orisubon=\sublabon
\let\orisuboff=\sublaboff
\def\sublabon#1{\orisubon{#1}\if@filesw
    \iffigcaps\def\@tempb{#1}
    \def\@tempa{figure}\ifx\@tempa\@tempb
    \@ifundefined{tf@pof}{\newwrite\tf@pof
        \immediate\openout\tf@pof\jobname.\lof}{}%
    \FC@writefile{pof}{\string\orisubon{#1}}\fi
    \def\@tempa{plate}\ifx\@tempa\@tempb
    \@ifundefined{tf@pof}{\newwrite\tf@pof
        \immediate\openout\tf@pof\jobname.\lof}{}%
    \FC@writefile{pof}{\string\orisubon{#1}}\fi
    \def\@tempa{table}\ifx\@tempa\@tempb
    \@ifundefined{tf@pot}{\newwrite\tf@pot
        \immediate\openout\tf@pot\jobname.\lot}{}%
    \FC@writefile{pot}{\string\orisubon{#1}}\fi
\fi\fi}
\def\sublaboff#1{\orisuboff{#1}\if@filesw
    \iffigcaps\def\@tempb{#1}
    \def\@tempa{figure}\ifx\@tempa\@tempb
    \@ifundefined{tf@pof}{\newwrite\tf@pof
        \immediate\openout\tf@pof\jobname.\lof}{}%
    \FC@writefile{pof}{\string\orisuboff{#1}}\fi
    \def\@tempa{plate}\ifx\@tempa\@tempb
    \@ifundefined{tf@pof}{\newwrite\tf@pof
        \immediate\openout\tf@pof\jobname.\lof}{}%
    \FC@writefile{pof}{\string\orisuboff{#1}}\fi
    \def\@tempa{table}\ifx\@tempa\@tempb
    \@ifundefined{tf@pot}{\newwrite\tf@pot
        \immediate\openout\tf@pot\jobname.\lot}{}%
    \FC@writefile{pot}{\string\orisuboff{#1}}\fi
\fi\fi}
\def\figbox#1#2#3{\hbox to \hsize{\hfil
  \framebox[#1][c]{\@tempdima#2 \divide\@tempdima by2\relax
  \advance\@tempdima by-\fboxsep \advance\@tempdima by-\fboxrule
  \vrule\@height\@tempdima\@depth\@tempdima\@width\z@
  \vbox to \z@{\vss\hbox{#3}\vss}}\hfil}}
\figmarktrue
\if@preprint \figcapsfalse
  \def\figurewidth#1{\pt@width=\hsize}
  \def\platewidth#1{\pt@width=\hsize}
\fi
\if@draft
  \def\figurewidth#1{\pt@width=\hsize}
  \def\platewidth#1{\pt@width=\hsize}
\fi
\let\ori@makecap=\@makecaption
\def\@makefcaption#1#2{{\if@dblcap\if@camera\pt@width=\textwidth
 \ori@makecap{#1}{#2}
 \pt@width=\wpt@width
 \hsize=\pt@width
 \vskip10pt \def\label##1{}\fi\fi
 \ori@makecap{#1}{#2}}
}
\newdimen\wpt@width
\newif\if@dblcap \@dblcapfalse
\def\doublecaption#1{\wpt@width=#1\relax\@dblcaptrue}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{natbib}
        [1994/11/24 5.3a (PWD)]
%% Copyright (C) 1994 Patrick W. Daly
\def\bibstyle@agu{\bibpunct{[}{]}{;}{a}{,}{,}}
\def\@cite#1#2#3{\ifNAT@swa\@citebegin\if#2\@empty\else#2 \fi
        #1\if#3\@empty\else, #3\fi\@citeend\else#1\fi}
\def\@citex[#1][#2]#3{\let\@citea\@empty
  \@cite{\let\@citenm\@empty
    \@for\@citeb:=#3\do
    {\edef\@citeb{\expandafter\@iden\@citeb}%
     \if@filesw\immediate\write\@auxout{\string\citation{\@citeb}}\fi
     \@ifundefined{b@\@citeb}{\@citea%
       {\reset@font\bfseries ?}\G@refundefinedtrue\@latex@warning
       {Citation `\@citeb' on page \thepage \space undefined}}%
     {\let\@citemm=\@citenm
     \@cite@parse{\@citeb}%
     \ifNAT@swa
       \ifx\@citemm\@citenm\@yrsep\else\@citea{\@citenm}\@auyrsep\fi
       \ \@citedt \def\@citea{\@citesep\ }%
     \else
       \ifx\@citemm\@citenm, \@citedt\else\@citea{\@citenm}%
           \ \@citebegin\@citedt\fi
       \def\@citea{\@citeend\@citesep\ }%
     \fi}}\ifNAT@swa\else\@citeend\fi}{#1}{#2}}
\def\@biblabel#1{\hfill}
\def\bibpunct#1#2#3#4#5#6{\gdef\@citebegin{#1}\gdef\@citeend{#2}\gdef
   \@citesep{#3}\ifx #4n\global\let\@bibsetup=\@bibsetnum
   \global\let\@citex=\@citexnum
   \global\let\@biblabel=\@biblabelnum
   \global\let\@cite=\@citenum\else
   \ifx #4s\global\let\@bibsetup=\@bibsetnum
   \global\let\@citex=\@citexnum
   \global\let\@biblabel=\@biblabelnum
   \global\let\@cite=\@citesuper\fi\fi
   \gdef\@auyrsep{#5}\gdef\@yrsep{#6}}
\bibstyle@agu
\newif\ifNAT@full\NAT@fullfalse
\newif\ifNAT@swa
\def\cite{\@ifstar{\NAT@fulltrue\@citee}{\NAT@fullfalse\@citee}}
\def\@citee{\@ifnextchar [{\NAT@swatrue\@citex@}{\NAT@swafalse
    \@citex@[]}}
\def\@citex@[#1]{\@ifnextchar [{\@citex[#1]}{\@citex[][#1]}}
\newcommand{\citeauthor}[1]{\if@filesw\immediate\write
     \@auxout{\string\citation{#1}}\fi
\ifx\@citex\@citexnum
       {\reset@font\bfseries(author?)}\PackageWarning{natbib}
       {Cannot use \protect\citeauthor
         \MessageBreak
        with numerical citations}\else
     \@ifundefined{b@#1}{%
       {\reset@font\bfseries ?}\G@refundefinedtrue\@latex@warning
       {Citation `#1' on page \thepage \space undefined}}%
       {\@cite@parse{#1}{\@citenm}}\fi}
\newcommand{\citeyear}[1]{\if@filesw\immediate\write
   \@auxout{\string\citation{#1}}\fi
\ifx\@citex\@citexnum
       {\reset@font\bfseries(year?)}\PackageWarning{natbib}
       {Cannot use \protect\citeyear
         \MessageBreak
        with numerical citations}\else
     \@ifundefined{b@#1}{%
       {\reset@font\bfseries ?}\G@refundefinedtrue\@latex@warning
       {Citation `#1' on page \thepage \space undefined}}%
       {\@cite@parse{#1}\@citedt}\fi}
\newcommand{\citefullauthor}[1]{\if@filesw\immediate\write
     \@auxout{\string\citation{#1}}\fi
\ifx\@citex\@citexnum
       {\reset@font\bfseries(author?)}\PackageWarning{natbib}
       {Cannot use \protect\citeauthor
         \MessageBreak
        with numerical citations}\else
     \@ifundefined{b@#1}{%
       {\reset@font\bfseries ?}\G@refundefinedtrue\@latex@warning
       {Citation `#1' on page \thepage \space undefined}}%
       {\@cite@parse{#1}{\@citefull}}\fi}
\def\@cite@parse#1{{%
     \let\protect=\@unexpandable@protect
     \xdef\@tempa{\csname b@#1\endcsname\relax}}%
     \expandafter\@citez\@tempa()()\@nil
     \ifNAT@full\let\@citenm\@citefull\fi}
\def\@citez#1(#2)#3()#4\@nil{\gdef\@citenm{#1}\gdef\@citedt{#2}%
  \ifx#3\relax\gdef\@citefull{#1}\else\gdef\@citefull{#3}\fi
}
\let\aguthebib=\thebibliography
\def\thebibliography#1{\noappendix\aguthebib{#1}}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{balance}
         [1995/01/02 4.1b (PWD)]
%% Copyright (C) 1994, 1995 Patrick W. Daly
\newcommand{\@BAlancecol}{\if@twocolumn
  \setbox0=\vbox{\unvbox\@outputbox} \@tempdima=\ht0
  \advance\@tempdima by \topskip \advance\@tempdima
     by -\baselineskip \divide\@tempdima by 2
     \splittopskip=\topskip
  {\vbadness=\@M \loop \global\setbox3=\copy0
   \global\setbox1=\vsplit3 to \@tempdima
   \ifdim\ht3>\@tempdima \global\advance\@tempdima by 1pt \repeat}
   \setbox\@leftcolumn=\vbox to \@tempdima{\unvbox1\vfil}
   \setbox\@outputbox=\vbox to \@tempdima
     {\dimen2=\dp3\unvbox3\kern-\dimen2
      \vfil}
  \fi}
\newif\if@BAlanceone
\global\@BAlanceonefalse
\newdimen\oldvsize
\newcommand{\@BAdblcol}{\if@firstcolumn
       \unvbox\@outputbox \penalty\outputpenalty
       \global\oldvsize=\@colht \global\multiply \@colht by 2
       \global\@BAlanceonetrue
       \global\@firstcolumnfalse
  \else \global\@firstcolumntrue
       \if@BAlanceone
       \global\@BAlanceonefalse\@BAlancecol
       \global\@colht=\oldvsize \else
       \PackageWarningNoLine{balance}
          {You have called \protect\balance\space
             in second column\MessageBreak
           Columns might not be balanced}\fi
     \setbox\@outputbox\vbox to \@colht{\hbox to\textwidth
     {\hbox to\columnwidth {\box\@leftcolumn \hss}\hfil
      \vrule width\columnseprule\hfil \hbox to\columnwidth
      {\box\@outputbox \hss}}\vfil}\@combinedblfloats
     \@outputpage \begingroup \@dblfloatplacement
     \@startdblcolumn \@whilesw\if@fcolmade \fi
     {\@outputpage\@startdblcolumn}\endgroup
  \fi}
\newcommand{\@@utputdblcol}{}
\let\@@utputdblcol=\@outputdblcol
\newcommand{\balance}{\global\let\@outputdblcol=\@BAdblcol}
\newcommand{\nobalance}{\global\let\@outputdblcol=\@@utputdblcol}
\endinput
%% 
%% End of file `aguplus.cls'.
